Vulnerability Name:

CVE-2017-16820

Assigned:2017-11-14
Published:2017-11-14
Updated:2017-11-14
Summary:The csnmp_read_table function in snmp.c in the SNMP plugin in collectd before 5.6.3 is susceptible to a double free in a certain error case, which could lead to a crash (or potentially have other impact).
References:Source: CONFIRM
Type: UNKNOWN
https://bugs.debian.org/881757

Source: CONFIRM
Type: UNKNOWN
https://github.com/collectd/collectd/commit/d16c24542b2f96a194d43a73c2e5778822b9cb47

Source: CONFIRM
Type: UNKNOWN
https://github.com/collectd/collectd/issues/2291

Source: CONFIRM
Type: UNKNOWN
https://github.com/collectd/collectd/releases/tag/collectd-5.6.3

Oval Definitions
Definition IDClassTitleLast Modified
oval:com.ubuntu.trusty:def:201716820000
V
CVE-2017-16820 on Ubuntu 14.04 LTS (trusty) - untriaged.
2017-11-14
oval:com.ubuntu.xenial:def:201716820000
V
CVE-2017-16820 on Ubuntu 16.04 LTS (xenial) - untriaged.
2017-11-14
BACK